(* Copyright (C) 1994, Digital Equipment Corporation *)
(* All rights reserved.                              *)
(* See the file COPYRIGHT for a full description.    *)

(* This interface exports the configuration information
   used by m3build and quake.  These constants were defined
   when Modula-3 was installed. *)

INTERFACE M3Config;

CONST  (* misc. configuration *)
  TARGET    = "NT386";
  OS_TYPE   = "WIN32";
  WORD_SIZE = "32BITS";
  BUILD_DIR = "NT386";
  PATH_SEP  = "\\";
  M3        = "e:/home/wagner/tmp/cm3stage/cm3\\bin\\cm3.exe"; (* the compiler *)

CONST (* installation directories *)
  BIN_INSTALL   = "e:/home/wagner/tmp/cm3stage/cm3\\bin";
  LIB_INSTALL   = "e:/home/wagner/tmp/cm3stage/cm3\\lib";
  DOC_INSTALL   = "e:/home/wagner/tmp/cm3stage/cm3\\doc";
  PKG_INSTALL   = "e:/home/wagner/tmp/cm3stage/cm3\\pkg";
  MAN_INSTALL   = "e:/home/wagner/tmp/cm3stage/cm3\\man";
  EMACS_INSTALL = "e:/home/wagner/tmp/cm3stage/cm3\\elisp";
  HTML_INSTALL  = "e:/home/wagner/tmp/cm3stage/cm3\\www";

(* On some systems (e.g. AFS) you must install public files
   in a different place from where you use them.  The paths
   below specify where to find the installed files. *)

CONST
  BIN_USE   = "e:/home/wagner/tmp/cm3stage/cm3\\bin";
  LIB_USE   = "e:/home/wagner/tmp/cm3stage/cm3\\lib";
  DOC_USE   = "e:/home/wagner/tmp/cm3stage/cm3\\doc";
  PKG_USE   = "e:/home/wagner/tmp/cm3stage/cm3\\pkg";
  MAN_USE   = "e:/home/wagner/tmp/cm3stage/cm3\\man";
  EMACS_USE = "e:/home/wagner/tmp/cm3stage/cm3\\elisp";
  HTML_USE  = "e:/home/wagner/tmp/cm3stage/cm3\\www";

END M3Config.
